{
    template:'${tmpl}',
    data:function(){
        return {
            name1: '',
            name2: '',
            text1: '',
            text2: '',
            colorArr:[
                'background:linear-gradient(90deg,rgba(50,197,255,1) 0%,rgba(97,228,255,1) 100%);','background:linear-gradient(270deg,rgba(155,102,255,1) 0%,rgba(98,54,255,1) 100%);',
                'background:linear-gradient(270deg,rgba(252,219,0,1) 0%,rgba(247,181,0,1) 100%);','background:linear-gradient(270deg,rgba(121,237,220,1) 0%,rgba(28,240,154,1) 100%);'
            ],
            arr1: [],
            arr2: []
        }
    },
    mounted:function(){

    },
    created:function(){
        this.name1=this.$router.history.current.query.name1 || "";
        this.name2=this.$router.history.current.query.name2 || "";
        this.text1=this.$router.history.current.query.text1 || "";
        this.text2=this.$router.history.current.query.text2 || "";
        console.log(this.name1, this.name2);
        this.analysisInfo()
    },
    methods:{
        fanhui() {
            this.$root.pushx({
                name:"/competitiveanalysis",
                params:{entName: this.name2}
            });
        },
        analysisInfo(){
            var obj={company1:"", company2: '', keyword1: '', keyword2: ''};
            if(this.name1 && this.name2 && this.text1 && this.text2){
                obj.company1 = this.name1;
                obj.company2 = this.name2;
                obj.keyword1 = this.text1;
                obj.keyword2 = this.text2;
            }else{
                return ;
            }
            this.$root.showMask();
            this.$root.getReq("web/patentycCtl/competitionAnalysisContex",obj).then(d=>{
                console.log(d);
                if(d && d.status==0){
                    this.arr1 = d.data.arrt1;
                    this.arr2 = d.data.arrt2;
                }
                this.$root.hideMask();
            }).catch(e=>{
                this.$root.hideMask();
            })
        },
    },
    computed:{
 
    },
    vname:"gsb-enterprisecontrast"
}
